Creating new ticket via e-mail: use inline images also inline
Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Hello,

when i send a email containing an image in the text (not in attachments) then it would be nice if it also is inside the text (inline) when

the ticket will be created in redmine. its fine that the image file attached to the ticket to make it work. but it would be great if we can

also display the image in the right position out of the box.

I found this: https://www.redmine.org/projects/redmine/wiki/RedmineReceivingEmails

_Redmine tries to use the plain text part of the email to fill the description of the issue.

If a HTML-only email is received, HTML tags are removed from its body.

Email attachments are automatically attached to the issue, unless their size exceeds the maximum attachment size defined in the

application settings._

this kind of answers my question why it is like this now. but i think this could be rethought. i think it could be easy to translate html

image tags into redmine image shortcut.

History

#1 - 2020-04-21 17:10 - Robert Röttger

Same requests:  https://www.redmine.org/boards/2/topics/8249

Solution: https://github.com/ThatCompany/redmine_email_inline_images

Not tested yet.

#2 - 2020-04-22 12:47 - Robert Röttger

This Fork should be working with Redmine 4.X according the commits. https://github.com/arnekaulfuss/redmine_email_inline_images

unfortunately it isnt for me...

#3 - 2020-05-03 06:04 - Go MAEDA

- Category set to Email receiving

#4 - 2024-02-29 16:09 - Robert Röttger

5.x version can be found here: https://github.com/FilipK-CZ/redmine_email_inline_images

also someone is working on it here: https://github.com/drakosu/redmine_email_inline_images

#5 - 2024-11-17 20:48 - Leonardo Fiorot

redmine in version 6.0.1 not works plugins...
